var s = Object.defineProperty;
var d = (r, e, t) => e in r ? s(r, e, { enumerable: !0, configurable: !0, writable: !0, value: t }) : r[e] = t;
var n = (r, e, t) => d(r, typeof e != "symbol" ? e + "" : e, t);
import { createEventEmitter as i } from "../utils/createEventEmitter.js";
class u {
  constructor() {
    n(this, "nodesRef", {
      current: []
    });
    n(this, "events", i());
  }
  addNode(e) {
    this.nodesRef.current.push(e);
  }
  removeNode(e) {
    const t = this.nodesRef.current.findIndex((o) => o === e);
    t !== -1 && this.nodesRef.current.splice(t, 1);
  }
}
export {
  u as FloatingTreeStore
};
